[api] Expose prefs needed for FxR

RESOLVED FIXED in Firefox 68

Status

defect
P1
normal
RESOLVED FIXED
3 months ago
29 days ago

People

(Reporter: agi, Assigned: agi)

Tracking

(Blocks 1 bug)

Trunk
mozilla68
Unspecified
All
Dependency tree / graph

Firefox Tracking Flags

(firefox-esr60 wontfix, firefox65 wontfix, firefox66 wontfix, firefox67 affected, firefox68 fixed)

Details

Attachments

(2 attachments)

Assignee

Description

3 months ago

gl.msaa-level, apz.allow_double_tap_zooming, formhelper.autozoom are prefs that FxR uses and it looks like it would make sense to expose to all GV consumers.

Assignee

Comment 1

a month ago

FxR uses these prefs and they might be helpful to other embedders so we can
just add them to GeckoRuntimeSettings.

Comment on attachment 9059557 [details]
Bug 1529119 - Expose msaa-level, double_tap_zooming, autozoom.

Revision D28232 was moved to bug 1544472. Setting attachment 9059557 [details] to obsolete.

Attachment #9059557 - Attachment is obsolete: true
Attachment #9059557 - Attachment is obsolete: false
Attachment #9059557 - Attachment description: Bug 1529119 - Expose msaa-level, double_tap_zooming, autozoom. → Bug 1544472 - Expose msaa-level, double_tap_zooming, autozoom.
Attachment #9059557 - Attachment description: Bug 1544472 - Expose msaa-level, double_tap_zooming, autozoom. → Bug 1529119 - Expose msaa-level, double_tap_zooming, autozoom.

Comment 4

29 days ago
Pushed by asferro@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/55c286b28b78
Remove duplicate entry in CHANGELOG. r=snorp
https://hg.mozilla.org/integration/autoland/rev/1362a0a6a7b2
Expose msaa-level, double_tap_zooming, autozoom. r=snorp

Comment 5

29 days ago
bugherder
Status: NEW → RESOLVED
Last Resolved: 29 days ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla68
You need to log in before you can comment on or make changes to this bug.